Subject: Re: [PATCH] via-rhine: do not abort due to invalid MAC address

From: "Alex G." <[email-masked]>
Date: Wed, 02 Mar 2011 20:11:08 +0200

On 03/02/2011 08:01 PM, Florian Fainelli wrote:
> 
> Why not generate a valid random ethernet address using random_ether_addr() 
> instead?

That would confuse ifcfg-* scripts that specify HWETHER, and probably
users as well. It might even stump udev.

An "ifconfig ethX hw ether xx:xx:xx:xx:xx:xx" in network scripts allows
udev to use the consistent "bad" MAC to assign a consistent ethX number,
and allows the networking scripts to use the consistent "new good" MAC.
It works as a stand-alone interface, as a WAN port hosting ppp0, and
even in bonding, all consistently.

Alex